package com.yeejoin.amos.fas.common.enums;

/**
 * @author DELL
 */

public enum TriggerRpnChangeTypeEum {
    /**
     * 触发类型枚举
     */
    patrol("巡检","patrol"),
    alarm("设备告警","alarm"),
    alarmRecovery("设备告警恢复","recovery"),
    fmeaUpdate("危险因素评价","fmeaUpdate"),
    fmeaDelete("危险因素删除","fmeaDelete"),
    riskDelete("风险点删除","riskDelete");

    private String name;
    private String code;

    TriggerRpnChangeTypeEum(String name,String code){
        this.name = name;
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
}
